### Method

# Gimp Curve get_n_points

since: 3.2

#### Declaration [src]

    gint
    gimp_curve_get_n_points (
      GimpCurve* curve
    )

#### Description [src]

Gets the number of points in a `GIMP_CURVE_SMOOTH` curve. Note that it will always be 0 for a `GIMP_CURVE_FREE` curve.

This can later be used e.g. in `gimp_curve_get_point()` as points are numbered from 0 (included) to the returned number (excluded).

Note that the `GimpCurve` API is not thread-safe. So be careful that the information on the number of points is still valid when you use it (you may have added or removed points in particular).

Available since: 3.2

#### Return value

Type: `gint`

The number of points in a smooth curve.